Here is a proposal for controller layout (using quest controllers as base since they can usually be readjusted to most controllers easily)

### **1. Seated (Ship) Controls**
- **Right Controller**
  - **Stick**: Ship Rotation
    - Up/Down: Pitch
    - Left/Right: Yaw
  - **A (lower face)**: Control Group 1
  - **B (upper face)**: Secondary Trigger Action (right click)
  - **Trigger**: Primary Trigger Action (left click)
  - **Grip**: Secondary Action Layer
    - Grip + A: Cycle Control Group Down (wraps from 1 to 9)
    - Grip + B: Cycle Control Group Up (wraps from 9 to 1)
    - Grip + Stick Left/Right: Roll
    - Grip + Stick Click: `K` Menu
- **Left Controller**
  - **Stick**: Analog Lateral Thrust (up, down, left, right)
    - Up: Analog Thrust Up
    - Down: Analog Thrust Down
    - Left: Analog Thrust Left
    - Right: Analog Thrust Right
  - **Y**: Parking
  - **X**: Inertial Dampeners
  - **Trigger**: Analog Forward Thrust
  - **Grip**: Secondary Action Layer
    - Grip + Trigger: Analog Reverse Thrust
    - Grip + Stick Click: `G` Menu
    - Grip + X: Grid Power
    - Grip + Y: Toggle Antenna

### **2. Character (Jetpack) Controls**
- **Inherits from Ship Controls with the following alterations:**

- **Right Controller**
  - **Stick**: Character Rotation
    - Up/Down: Pitch (Jetpack orientation)
    - Left/Right: Yaw (Jetpack orientation)
  - **A (lower face)**: Jetpack Thrusters Up (analog upward thrust)
  - **B (upper face)**: Jetpack Thrusters Down (analog downward thrust)
  - **Trigger**: Use tool (left click equivalent)
  - **Grip**: Secondary Action Layer
    - Grip + A: Increase Jetpack Thrust
    - Grip + B: Decrease Jetpack Thrust
    - Grip + Stick Left/Right: Roll (Jetpack roll)
    - Grip + Stick Click: `K` Menu (same as Ship)
  
- **Left Controller**
  - **Stick**: Jetpack Lateral Movement (up, down, left, right)
    - Up: Jetpack Thrust Forward
    - Down: Jetpack Thrust Backward
    - Left: Jetpack Thrust Left
    - Right: Jetpack Thrust Right
  - **Y**: Toggle Jetpack Power
  - **X**: Inertial Dampeners (same as Ship)
  - **Trigger**: Forward thrust (same as Ship, use for analog Jetpack forward thrust)
  - **Grip**: Secondary Action Layer
    - Grip + Trigger: Reverse Thrust (same as Ship)
    - Grip + Stick Click: `G` Menu
    - Grip + X: Jetpack Boost
    - Grip + Y: Toggle Helmet

### **3. Character (No Jetpack) Controls**
- **Inherits from Jetpack Controls with the following alterations:**

- **Right Controller**
  - **Position/Rotation**: Player Reticle (where your tool is pointing)
  - **Trigger**: Use tool (e.g., welding, drilling—left click equivalent)
  - **Grip**: Secondary Action Layer
    - Grip + Trigger: Secondary tool action (right-click equivalent)
    - Grip + Stick Click: Interact (`F` equivalent)

- **Left Controller**
  - **Stick**: Player Movement
    - Up: Analog Forward
    - Down: Analog Backward
    - Left: Analog Strafe Left
    - Right: Analog Strafe Right
  - **Y**: Toggle Lights
  - **X**: Inertial Dampeners (same as Jetpack)
  - **Trigger**: Jump or Sprint (tap for jump, hold for sprint)